| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
FilterExpressionFrame Class Reference

An accordion frame for adding or editing filter expressions. More...

`#include <filter_expression_frame.h>`

Inheritance diagram for FilterExpressionFrame:

## Signals
void | showPreferencesDialog (QString pane_name)
| Signal emitted to request showing the preferences dialog.
void | filterExpressionsChanged ()
| Signal emitted when the list of filter expressions has changed.
Signals inherited from AccordionFrame
void | visibilityChanged (bool visible)
| Emitted when the frame's visibility changes.

## Public Member Functions
| FilterExpressionFrame (QWidget *parent=0)
| Constructs a new FilterExpressionFrame.
| ~FilterExpressionFrame ()
| Destroys the FilterExpressionFrame.
void | addExpression (const QString filter_text)
| Adds a new filter expression.
void | editExpression (int exprIdx)
| Edits an existing filter expression.
Public Member Functions inherited from AccordionFrame
| AccordionFrame (QWidget *parent=0)
| Create an AccordionFrame with the given parent.
void | animatedShow ()
| Show the frame with a slide-down animation.
void | animatedHide ()
| Hide the frame with a slide-up animation.
void | updateStyleSheet ()
| Reapply the stylesheet after a palette or style change.

## Protected Member Functions
virtual void | showEvent (QShowEvent *event) override
| Handles the event when the frame is shown.
virtual void | keyPressEvent (QKeyEvent *event) override
| Handles key press events within the frame.
Protected Member Functions inherited from AccordionFrame
virtual void | hideEvent (QHideEvent *) override
| Emit visibilityChanged(false) when the frame is hidden.

## Detailed Description

An accordion frame for adding or editing filter expressions.

## Constructor & Destructor Documentation

## ◆ FilterExpressionFrame()

FilterExpressionFrame::FilterExpressionFrame | ( | QWidget * | parent = 0 | ) |
| explicit

Constructs a new FilterExpressionFrame.

Parameters

  parent | The parent widget, defaults to 0.

## Member Function Documentation

## ◆ addExpression()

void FilterExpressionFrame::addExpression | ( | const QString | filter_text | ) |

Adds a new filter expression.

Parameters

  filter_text | The text of the filter expression to add.

## ◆ editExpression()

void FilterExpressionFrame::editExpression | ( | int | exprIdx | ) |

Edits an existing filter expression.

Parameters

  exprIdx | The index of the expression to edit.

## ◆ keyPressEvent()

void FilterExpressionFrame::keyPressEvent | ( | QKeyEvent * | event | ) |
| override protected virtual

Handles key press events within the frame.

Parameters

  event | The key event.

## ◆ showEvent()

void FilterExpressionFrame::showEvent | ( | QShowEvent * | event | ) |
| override protected virtual

Handles the event when the frame is shown.

Parameters

  event | The show event.

Reimplemented from AccordionFrame.

## ◆ showPreferencesDialog

void FilterExpressionFrame::showPreferencesDialog | ( | QString | pane_name | ) |
| signal

Signal emitted to request showing the preferences dialog.

Parameters

  pane_name | The name of the specific preferences pane to open.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/filter_expression_frame.h
- /builds/wireshark/wireshark/ui/qt/filter_expression_frame.cpp